<template>
  <section>
    <base-card>
      <h2>Inscription</h2>
      <inscription-form @save-data="saveData"></inscription-form>
    </base-card>
  </section>
</template>

<script>
import InscriptionForm from '../../components/authentification/InscriptionForm';

export default {
  components: {
    InscriptionForm,
  },
  methods: {
    saveData(data) {
      this.$store.dispatch('users/registerUser', data);
      this.$router.replace('/mon-compte');
    }
  }
};
</script>